function GaborPriznaky=banka1(vyrezSedoton,xmax,ymax,sigmaX,sigmaY,uhel)
% nastaveni: xmax=10; ymax=10; sigmaX=2; sigmaY=1; uhel=pi/2;
[xproG,yproG] = meshgrid(-xmax:xmax,-ymax:ymax);
konst=1;
f=[0.75, 1.5];theta=[pi/5, 2*pi/5, 3*pi/5, 4*pi/5, pi];
for j=1:length(theta)
    G(:,:,(2*j-1)) = exp(-konst*( ((yproG.*sin(theta(j))+xproG.*cos(theta(j))).^2)/sigmaX^2 + ((yproG.*cos(theta(j))+xproG.*sin(theta(j))).^2)/sigmaY^2)).* cos(2*pi*f(1)*(yproG.*sin(theta(j))+xproG.*cos(theta(j)))+uhel);
    G(:,:,(2*j))   = exp(-konst*( ((yproG.*sin(theta(j))+xproG.*cos(theta(j))).^2)/sigmaX^2 + ((yproG.*cos(theta(j))+xproG.*sin(theta(j))).^2)/sigmaY^2)).* cos(2*pi*f(2)*(yproG.*sin(theta(j))+xproG.*cos(theta(j)))+uhel);
end
for j=1:length(G(1,1,:)) %konvoluce obrazu s filtry
    GaborPriznaky(:,:,j)=conv2(vyrezSedoton,G(:,:,j),'same'); 
end
